Bug 1069447 - [Performance] Combine multiple .js and .css files
Summary: [Performance] Combine multiple .js and .css files
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Bugzilla
Classification: Community
Component: User Interface
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks: UI-Modernization
TreeView+ depends on / blocked
 
Reported: 2014-02-25 03:14 UTC by Jason McDonald
Modified: 2016-08-16 05:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-26 06:32:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 956190 None None None Never
Mozilla Foundation 956191 None None None Never

Description Jason McDonald 2014-02-25 03:14:41 UTC
One of the issues identified in the Red Hat Bugzilla performance report is that Bugzilla uses a large number of auxiliary files (mostly .js and .css).  User-visible performance would be moderately improved if these files were combined (into one .js file and one .css file), so that loading a page causes fewer exchanges with the server.

Comment 2 Jason McDonald 2014-04-03 23:16:57 UTC
<simon> jmcdonal: I'd like to delay bug 1069447. When we move to Bugzilla 4.5/5.0 we inherit that change from upstream. For us to do it now will be asking for an even bigger headache when migrating.

Comment 3 Jason McDonald 2014-05-08 07:23:06 UTC
Currently, the upstream trunk branch has the .css files merged but not the .js files.  If/when the latter occurs, this bug can be CLOSED/UPSTREAM.

Comment 4 Jason McDonald 2015-10-26 06:32:02 UTC
Closing -- the UI modernization is expected to abandon the existing suit of .js files in favour of a new framework.


Note You need to log in before you can comment on or make changes to this bug.